using System;
using System.Collections.Generic;
using System.Text;
using Xna = Microsoft.Xna.Framework;
using Quake = id.Quake;

namespace XnaQuake.Renderer {
	struct EntityPosition {
		public Xna.Vector3 Position;
		public Xna.Vector3 Angle;
		public Xna.BoundingBox Bounds;
		public EntityPosition(Xna.Vector3 position, Xna.Vector3 angle, Xna.BoundingBox bounds) {
			this.Position = position; this.Angle = angle; this.Bounds = bounds;
		}
		public EntityPosition(Quake.Vector3 position, Quake.Vector3 angle, Quake.BoundingBox bounds) {
			this.Position = Utility.ConvertPosition(position);
			this.Angle = Utility.ConvertAngle(angle);
			this.Bounds = Utility.ConvertPosition(bounds);
		}

	}
}
